All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.iom.orb
Class UUIDConverter

    com.sas.iom.orb.UUIDConverter

    public class UUIDConverter

A utility for converting between UUIDs and Strings.

Method Summary
`static boolean` | `equals(com.sas.iom.SASIOMDefs.UUID uuid1, com.sas.iom.SASIOMDefs.UUID uuid2)` Compares to `UUID` objects for equality.
`static com.sas.iom.SASIOMDefs.UUID` | `stringToUUID(java.lang.String str)` Convert a String to a UUID.
`static java.lang.String` | `uuidToString(com.sas.iom.SASIOMDefs.UUID uuid)` Convert a UUID to a String.

Method Detail

### uuidToString

    public static java.lang.String uuidToString(com.sas.iom.SASIOMDefs.UUID uuid)

  Convert a UUID to a String. The resulting String will have the format 11111111-2222-3333-4444-444444444444 where 11111111 will be a hex representation of Data1, 2222 will be a hex representation of Data2, and so on.

  Parameters:
    `uuid` - the UUID to convert
  Returns:
    a String representation of the UUID

### stringToUUID

    public static com.sas.iom.SASIOMDefs.UUID stringToUUID(java.lang.String str)

  Convert a String to a UUID. The input String should have the format 11111111-2222-3333-4444-444444444444 where 11111111 is a hex representation of Data1, 2222 is a hex representation of Data2, and so on.

  Parameters:
    `str` - the String to convert
  Returns:
    the UUID represented by the String

### equals

    public static boolean equals(com.sas.iom.SASIOMDefs.UUID uuid1,
                                 com.sas.iom.SASIOMDefs.UUID uuid2)

  Compares to `UUID` objects for equality. Two `UUID` objects are equal if all their fields are equal.

  Parameters:
    `uuid1` - `UUID` object to compare
    `uuid2` - `UUID` object to compare
  Returns:
    `true` if the two `UUID` objects are equal

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.